#!/bin/bash

SERIAL=$1
SOURCE=$2
EVENT=$3
ID=${4:-1}
MGR_HOST=localhost
MGR_PORT=8090

[[ "${SERIAL}" =~ ^\"(.*)\"$ ]] && SERIAL=${BASH_REMATCH[1]}

curl -X POST -F "item={\"id\":1,\"strs\":{\"event\":\"${EVENT}\", \"serial\":\"${SERIAL}\", \"ip_fqdn\": \"${SOURCE}\"},\"strstrs\":{},\"bools\":{},\"u64s\":{},\"ids\":{\"id\":${ID}}}" "http://${MGR_HOST}:${MGR_PORT}/cpe_event"
