#!/bin/bash
#
SETTING=`echo "auth keys" | netopeer2-cli | tail -n1`

echo `date "+%H:%M:%S"` ssh_keys_set $SETTING >>/tmp/log_${USER}.log

if [ "${SETTING}" == "#0: /opt/isabelle/keys/netconf.pub (private /opt/isabelle/keys/netconf)" ]
then
    echo `date "+%H:%M:%S"` ssh_keys_set already good >>/tmp/log_${USER}.log
    echo already good
    exit
elif [ "${SETTING}" != "(none)" ]
then
    echo `date "+%H:%M:%S"` ssh_keys_set some keys set >>/tmp/log_${USER}.log
    echo "auth keys remove 0" | netopeer2-cli
fi

echo `date "+%H:%M:%S"` ssh_keys_set setting keys >>/tmp/log_${USER}.log
echo setting keys
printf "%s\n%s\n%s\n%s\n" \
    "auth keys add /opt/isabelle/keys/netconf.pub /opt/isabelle/keys/netconf" \
    "auth pref publickey 1" \
    "auth pref password 0" \
    "auth pref interactive 0" \
    | netopeer2-cli
