#!/bin/bash

TOOLS_DIR=/opt/isabelle/core/gateway_tools
EVENT_SCRIPT=cpe_event.sh

while read LINE
do
    ARGS=( $LINE )
    case ${ARGS[0]} in
        UDP: )
            [[ ${ARGS[1]} =~ ^\[([0-9|\.]+)\] ]] && SOURCE=${BASH_REMATCH[1]} ;;
        iso.3.6.1.2.1.1.3.0 )
            UPTIME=${ARGS[1]} ;;
        iso.3.6.1.6.3.1.1.4.1.0 )
            TRAPID=${ARGS[1]} ;;
        iso.3.6.1.2.1.1.5.0 )
            SERIAL=${ARGS[1]} ;;
        * ) ;;
    esac
done

cd ${TOOLS_DIR}/..

[ "$TRAPID" == "iso.3.6.1.6.3.1.1.5.1" ] && \
    $TOOLS_DIR/$EVENT_SCRIPT $SERIAL $SOURCE trap
