{
	"strs": {
		"default_site_name": "Management System",
		"default_site_logo": "/logo.png",
		"default_licensed_to": "end user",
		"default_language": "ru",
		"user_role_prefix": "role_is_"
	},
	"strstrs": {
		"item_pre_edit_hook": {
			"1": "user:security_password_challenge_pre_edit_hook",
			"2": "user:security_check_unique_login_email",
			"3": "config:plugingateway_pre_edit",
			"4": "cpe_group:plugingateway_pre_edit",
			"5": "user:plugingateway_pre_edit",
			"6": "cpe:plugingateway_pre_edit"
		},
		"item_post_edit_hook": {
			"1": "config:plugingateway_post_edit",
			"2": "cpe:plugingateway_post_edit",
			"3": "cpe_group:plugingateway_post_edit"
		},
		"itm_auth_hook": {
		},
		"itm_list_filter_hook": {
			"1": "plugingateway_list_filter"
		},
		"collection_read_hook": {
			"1": "security_collection_read_hook"
		},
		"otp_hook": {
			"1": "security_otp_send_email"
		},
		"route_url_hook": {
			"1": "plugingateway_route_url"
		},
		"extra_route": {
			"1": "/system/stat:get:plugingateway_stat",
			"2": "/cpe/statistics:get:plugingateway_cpe_statistics",
			"3": "/cpe/syslog:get:plugingateway_cpe_syslog",
			"4": "/data/suricata_file:post:plugingateway_suricata_file",
			"5": "/cpe/active:get:plugingateway_cpe_active"
		},
		"extra_unprotected_route": {
			"1": "/cpe_event:post:plugingateway_cpe_event"
		},
		"collections": {
			"1": "user",
			"2": "cpe",
			"3": "cpe_group",
			"4": "config",
			"5": "stat",
			"6": "customer"
		}
	}
}
