export function update_cpe_chart(
    t1, t2, t3, t4, t5, t6, t7, t8,
    c1, c2, c3, c4, c5, c6, c7, c8,
    g1, g2, g3, g4, g5, g6, g7, g8,
    u1, u2, u3, u4, u5, u6, u7, u8) {
    var colorPalette = ['#00D8B6','#008FFB',  '#FEB019', '#FF4560', '#775DD0']
    var options = {
        chart: {
            type: 'bar',
            stacked: true,
            toolbar: {
                show: false
            },
            zoom: {
                enabled: false
            }
        },
        plotOptions: {
            bar: {
                columnWidth: '45%',
            }
        },
        colors: colorPalette,
        legend: {
            show: false
        },
        grid: {
            show: false
        },
        series: [
            {
                name: 'configured',
                data: [c1, c2, c3, c4, c5, c6, c7, c8]
            },
            {
                name: 'grouped',
                data: [g1, g2, g3, g4, g5, g6, g7, g8]
            },
            {
                name: 'unassigned',
                data: [u1, u2, u3, u4, u5, u6, u7, u8]
            }
        ],
        xaxis: {
            labels: {
                show: false
            },
            axisBorder: {
                show: false
            },
            axisTicks: {
                show: false
            },
        },
        yaxis: {
            axisBorder: {
                show: false
            },
            axisTicks: {
                show: false
            },
            labels: {
                style: {
                    colors: '#78909c'
                }
            }
        },
        dataLabels: {
            enabled: false
        }
    }

    var sel = document.querySelector("#cpe_chart");
    if (sel)
    {
        var chart = new ApexCharts(sel, options);
        chart.render();
    }
}