export function make_upload_form(post_uri, id) {
    var form = document.querySelector("#file-form");
    if (form) {
        form.addEventListener('submit', handleSubmit);

        function handleSubmit(event) {
          event.preventDefault();
          uploadFiles();
        }

        function uploadFiles() {
            const url = post_uri;
            const formData = new FormData(form);
            formData.append('item', '{ "id": 1, "strs":{}, "strstrs":{}, "strids":{}, "bools":{}, "u64s":{}, "ids":{"config": ' + id + '}}');

            const fetchOptions = {
                method: 'post',
                body: formData,
                credentials: 'include'
            };

            fetch(url, fetchOptions)
                .then (response => { location.reload();})
                .catch (error => { console.error('Upload', error);});
        }
    }
}